Package: org.codehaus.groovy.ast

## [Java] Class PropertyNode

- org.codehaus.groovy.ast.PropertyNode

- All Implemented Interfaces and Traits:
    org.objectweb.asm.Opcodes, Variable

      public class PropertyNode
      extends AnnotatedNode

  Represents a property (member variable, a getter and setter)

  Authors:
    James Strachan

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `closureSharedVariable`
    `FieldNode` | `field`
    `Statement` | `getterBlock`
    `Statement` | `setterBlock`
    `ClassNode` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PropertyNode (String name, int modifiers, ClassNode type, ClassNode owner, Expression initialValueExpression, Statement getterBlock, Statement setterBlock)`
    `PropertyNode (FieldNode field, int modifiers, Statement getterBlock, Statement setterBlock)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `FieldNode` | `getField()`
    `` | `Statement` | `getGetterBlock()`
    `` | `Expression` | `getInitialExpression()`
    `` | `int` | `getModifiers()`
    `` | `String` | `getName()`
    `` | `ClassNode` | `getOriginType()`
    `` | `Statement` | `getSetterBlock()`
    `` | `ClassNode` | `getType()`
    `` | `boolean` | `hasInitialExpression()`
    `` | `boolean` | `isClosureSharedVariable()`
    `` | `boolean` | `isDynamicTyped()`
    `` | `boolean` | `isInStaticContext()`
    `` | `boolean` | `isPrivate()`
    `` | `boolean` | `isPublic()`
    `` | `boolean` | `isStatic()`
    `` | `void` | `setClosureSharedVariable(boolean inClosure)` @deprecated not used anymore, has no effect
    `` | `void` | `setField(FieldNode fn)`
    `` | `void` | `setGetterBlock(Statement getterBlock)`
    `` | `void` | `setSetterBlock(Statement setterBlock)`
    `` | `void` | `setType(ClassNode t)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AnnotatedNode` | `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, equals, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getNodeMetaData, getNodeMetaData, getText, hashCode, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### boolean closureSharedVariable

    - #### FieldNode field

    - #### Statement getterBlock

    - #### Statement setterBlock

    - #### ClassNode type

  - ### Constructor Detail

    - #### public PropertyNode(String name, int modifiers, ClassNode type, ClassNode owner, Expression initialValueExpression, Statement getterBlock, Statement setterBlock)

    - #### public PropertyNode(FieldNode field, int modifiers, Statement getterBlock, Statement setterBlock)

  - ### Method Detail

    - #### public FieldNode getField()

    - #### public Statement getGetterBlock()

    - #### public Expression getInitialExpression()

    - #### public int getModifiers()

    - #### public String getName()

    - #### public ClassNode getOriginType()

    - #### public Statement getSetterBlock()

    - #### public ClassNode getType()

    - #### public boolean hasInitialExpression()

    - #### public boolean isClosureSharedVariable()

    - #### public boolean isDynamicTyped()

    - #### public boolean isInStaticContext()

    - #### public boolean isPrivate()

    - #### public boolean isPublic()

    - #### public boolean isStatic()

    - #### @Deprecated public void setClosureSharedVariable(boolean inClosure)

      deprecated:
        not used anymore, has no effect

    - #### public void setField(FieldNode fn)

    - #### public void setGetterBlock(Statement getterBlock)

    - #### public void setSetterBlock(Statement setterBlock)

    - #### public void setType(ClassNode t)